Search documentation of ExStreamClient

# ExStreamClient.Model.CheckPushRequest (ExStreamClient v0.1.10)

View Source

Schema representing a CheckPushRequest

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.CheckPushRequest{
      apn_template: String.t() | nil,
      firebase_data_template: String.t() | nil,
      firebase_template: String.t() | nil,
      message_id: String.t() | nil,
      push_provider_name: String.t() | nil,
      push_provider_type: (:xiaomi | :huawei | :apn | :firebase) | nil,
      skip_devices: boolean() | nil,
      user: ExStreamClient.Model.UserRequest.t() | nil,
      user_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()